%define upstream_name    Parse-Binary
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Convert between variant records and hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
This module makes parsing binary data structures much easier, by serving as
a base class for classes that represents the binary data, which may contain
objects of other classes to represent parts of itself.

Documentation is unfortunately a bit lacking at this moment. Please read
the tests and source code of the Parse::AFP manpage and the Win32::Exe
manpage for examples of using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.110.0-8pclos2017
- rebuild against updates

